Subject: Re: [bug] git cannot find "git pull"?

From: Jeff Garzik <[email-masked]>
Date: Fri, 12 Jun 2009 16:49:22 -0400

Todd Zullinger wrote:
> Jeff Garzik wrote:
>> Jeff Garzik wrote:
>>> No strange PATH settings, and this was a completely fresh
>>> Fedora-11/x86-64 reformat and reinstall...
>>>
>>> Adding "--exec-path=/usr/libexec/git-core" seems to work.
>>>
>>> I wonder if it is looking for /usr/libexec64/git-core or something?
>> Same failure (with same workaround) on Fedora 11/i386, fresh
>> install.
> 
> Well hell.  I can't reproduce this.  I setup an F-11/x86_64 instance
> and had no troubles.  Similarly for i386 using the Live USB image.
> 
> Is it possible that some other package is screwing up the git search
> path?  Running strings on /usr/bin/git I find libexec/git-core, so I
> don't think it's trying libexec64, which doesn't exist in an Fedora
> release that I know of.
> 
> I'd be very curious if anyone else can reproduce this and what
> differences there are in the package list between my working system
> and your broken ones.

FWIW, to reproduce my Fedora install, this is the setup I always use for 
my lab computers:

* perform a fresh format + install, not an upgrade
* uncheck 'office' category
* check 'software development' category
* do not select 'customize now', thus using Fedora's default package 
selection

So it is 100% Fedora-shipped software in $PATH...

Regards,

	Jeff